package cn.superdesk.uniorder.service.scheduler;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.scheduler.SysQuartzLog;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description: 定时任务日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-12-17 16:35:26
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-12-17 16:35:26
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysQuartzLogService extends BaseService<SysQuartzLog> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(SysQuartzLog entity);

    int updateByPrimaryKeySelective(SysQuartzLog entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysQuartzLog findById(Long id);

	@Deprecated
	PageInfo<SysQuartzLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysQuartzLog> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysQuartzLog(SysQuartzLog entity);

	void updateSysQuartzLog(SysQuartzLog entity);

	void deleteSysQuartzLog(Long id);

	SysQuartzLog findSysQuartzLogById(Long id);

	R<List<SysQuartzLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


}